package com.clx.performance.feign;

import com.msl.common.result.Result;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(name = "clx-performance",configuration = PerformanceClientConfiguration.class)
public interface SettlementFeign {

    @ApiOperation(value = "查询当前订单号是否已经生成货主结算单明细")
    @PostMapping("clx-performance/feign/settlement/selectListByOrderNo")
    Result<Boolean> selectListByOrderNo(@RequestParam String orderNo);

}
